Phase out jobs "pplint-HEAD" and "erblint-HEAD"
Closed, ResolvedPublic

Description

We should phase out the Jenkins jobs:

erblint-HEAD
pplint-HEAD

Can be replaced by a rake task such as operations/puppet rake task puppetlint_head.

Challenge is to figure out how to lint then from pure ruby :]

hashar created this task.Jan 9 2017, 8:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2017, 8:40 AM

Change 331239 had a related patch set uploaded (by Hashar):
(WIP) puppet parse from rake (WIP)

https://gerrit.wikimedia.org/r/331239

Change 331309 had a related patch set uploaded (by Hashar):
Add experimental rake-jessie to puppet modules

https://gerrit.wikimedia.org/r/331309

Change 331309 merged by jenkins-bot:
Add experimental rake-jessie to puppet modules

https://gerrit.wikimedia.org/r/331309

Change 331312 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/331312

Change 331327 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/331327

Change 331328 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/331328

Change 331329 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/331329

Change 331330 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/331330

Change 331332 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/331332

I got patch for puppet.git and some of the submodules. Sent an announce to the internal ops list to gather feedback. If https://gerrit.wikimedia.org/r/#/c/331239/ gets consensus and get merged, we can phase out pplint-HEAD and erblint-HEAD from operations/puppet. Then migrate other repositories that might use that and finally delete the jobs.

hashar updated the task description. (Show Details)Jan 19 2017, 4:33 PM
hashar triaged this task as Normal priority.Jan 23 2017, 2:01 PM

Change 331330 merged by Elukey:
Introduce linters using rake

https://gerrit.wikimedia.org/r/331330

Change 331312 merged by Elukey:
Introduce linters using rake

https://gerrit.wikimedia.org/r/331312

Change 331328 merged by Elukey:
Introduce linters using rake

https://gerrit.wikimedia.org/r/331328

Change 335815 had a related patch set uploaded (by Hashar):
Make some puppet submodule rake jobs voting

https://gerrit.wikimedia.org/r/335815

Change 331332 merged by Elukey:
Introduce linters using rake

https://gerrit.wikimedia.org/r/331332

Change 335815 merged by jenkins-bot:
Make some puppet submodule rake jobs voting

https://gerrit.wikimedia.org/r/335815

Change 331327 merged by Elukey:
Introduce linters using rake

https://gerrit.wikimedia.org/r/331327

hashar added a comment.EditedFeb 3 2017, 3:36 PM

Luca and I have sprinted a review of all changes and they are now merged in the submodules projects.

In Gerrit I have made the operations/puppet/.* sub repos to inherit rights from a new repository operations/puppet-modules.

Then I have granted rights to jenkins so it can submit changes https://gerrit.wikimedia.org/r/#/admin/projects/operations/puppet-modules,access

This way you can just CR+2 and Jenkins will merge the subproject change for you if 'bundle exec rake test' pass.

Jenkins bot CAN NOT submit to operations/puppet.

What is left to be done:

The equivalent for the mariadb module, but that touches databases:

https://gerrit.wikimedia.org/r/#/c/331329/

Bump the submodules in operations/puppet , deploy, verify etc.

Then operations/puppet https://gerrit.wikimedia.org/r/#/c/331239/ can be rebased and 'bundle exec rake test' should work even with submodules checked out :-}

Change 331329 merged by Jcrespo:
Introduce linters using rake

https://gerrit.wikimedia.org/r/331329

Change 337028 had a related patch set uploaded (by Hashar):
[operations/puppet/mariadb] switch to rake

https://gerrit.wikimedia.org/r/337028

Change 337028 merged by jenkins-bot:
[operations/puppet/mariadb] switch to rake

https://gerrit.wikimedia.org/r/337028

Change 337858 had a related patch set uploaded (by Hashar):
Use puppet-syntax gem for syntax checking

https://gerrit.wikimedia.org/r/337858

Change 331239 merged by Jcrespo:
puppet parse validate from rake

https://gerrit.wikimedia.org/r/331239

Change 338143 had a related patch set uploaded (by Hashar):
syntax: ignore stdlib Puppet 4 manifests

https://gerrit.wikimedia.org/r/338143

Change 338369 had a related patch set uploaded (by Hashar):
operations/puppet: drop erblint-HEAD/pplint-HEAD

https://gerrit.wikimedia.org/r/338369

Change 338369 merged by jenkins-bot:
operations/puppet: drop erblint-HEAD/pplint-HEAD

https://gerrit.wikimedia.org/r/338369

Change 338378 had a related patch set uploaded (by Hashar):
Switch remaining puppet modules to rake

https://gerrit.wikimedia.org/r/338378

Change 338378 merged by jenkins-bot:
Switch remaining puppet modules to rake

https://gerrit.wikimedia.org/r/338378

Change 338384 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/338384

Change 338385 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/338385

Change 338386 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/338386

Change 338387 had a related patch set uploaded (by Hashar):
Introduce linters using rake

https://gerrit.wikimedia.org/r/338387

Change 338415 had a related patch set uploaded (by Hashar):
Use puppet-syntax gem for syntax checking

https://gerrit.wikimedia.org/r/338415

Change 338724 had a related patch set uploaded (by Hashar):
[mediawiki/vagrant] drop erblint-HEAD

https://gerrit.wikimedia.org/r/338724

Change 338725 had a related patch set uploaded (by Hashar):
Remove erblint-HEAD and pplint-HEAD

https://gerrit.wikimedia.org/r/338725

Change 338143 merged by Jcrespo:
syntax: ignore stdlib Puppet 4 manifests

https://gerrit.wikimedia.org/r/338143

Change 338415 merged by jenkins-bot:
Use puppet-syntax gem for syntax checking

https://gerrit.wikimedia.org/r/338415

Change 337858 merged by jenkins-bot:
Use puppet-syntax gem for syntax checking

https://gerrit.wikimedia.org/r/337858

Change 339249 had a related patch set uploaded (by Hashar):
mediawiki/vagrant: remove erblint-HEAD

https://gerrit.wikimedia.org/r/339249

Change 339250 had a related patch set uploaded (by Hashar):
Remove erblint-HEAD job

https://gerrit.wikimedia.org/r/339250

Change 339249 merged by jenkins-bot:
mediawiki/vagrant: remove erblint-HEAD

https://gerrit.wikimedia.org/r/339249

Change 339250 merged by jenkins-bot:
Remove erblint-HEAD job

https://gerrit.wikimedia.org/r/339250

Mentioned in SAL (#wikimedia-releng) [2017-02-22T20:54:18Z] <hashar> Deleted jenkins job erblint-HEAD. Fully replaced by rake / puppet-syntax gem - T154894

Change 339255 had a related patch set uploaded (by Hashar):
Remove pplint-HEAD

https://gerrit.wikimedia.org/r/339255

Change 338724 abandoned by Hashar:
[mediawiki/vagrant] drop erblint-HEAD

Reason:
Duplicate /done

https://gerrit.wikimedia.org/r/338724

Change 338725 abandoned by Hashar:
Remove erblint-HEAD and pplint-HEAD

Reason:
Duplicate /done

https://gerrit.wikimedia.org/r/338725

Mentioned in SAL (#wikimedia-releng) [2017-02-22T20:58:57Z] <hashar> Deleted jenkins job pplint-HEAD. Fully replaced by rake / puppet-syntax gem - T154894

Change 339255 merged by jenkins-bot:
Remove pplint-HEAD

https://gerrit.wikimedia.org/r/339255

hashar closed this task as Resolved.Feb 22 2017, 9:00 PM
hashar claimed this task.

All repositories have been migrated to use puppetlabs_spec_helper / puppet-syntax.

Change 338386 merged by Hashar:
[operations/puppet/nginx] Introduce linters using rake

https://gerrit.wikimedia.org/r/338386

Change 338387 merged by Hashar:
[operations/puppet/wikimetrics] Introduce linters using rake

https://gerrit.wikimedia.org/r/338387

Change 338384 merged by Ottomata:
[operations/puppet/cdh4@master] Introduce linters using rake

https://gerrit.wikimedia.org/r/338384

Change 338385 merged by Ottomata:
[operations/puppet/kafka@master] Introduce linters using rake

https://gerrit.wikimedia.org/r/338385

Last patches have been merged by @Ottomata :-}